Bug 128974 - WebGL EXT_blend_minmax may now be implemented
Summary: WebGL EXT_blend_minmax may now be implemented
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL: http://www.khronos.org/registry/webgl...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-18 07:44 PST by Florian Bösch
Modified: 2014-12-12 13:58 PST (History)
4 users (show)

See Also:


Attachments
patch (29.14 KB, patch)
2014-12-12 12:30 PST, Roger Fong
dino: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Bösch 2014-02-18 07:44:55 PST
The EXT_blend_minmax extension has been moved to draft and vendors are now encouraged to consider implementation.

Chrome ticket: https://code.google.com/p/chromium/issues/detail?id=344451
Firefox ticket: https://bugzilla.mozilla.org/show_bug.cgi?id=973815
Comment 1 Florian Bösch 2014-07-04 04:01:09 PDT
The status of the EXT_blend_minmax extension has changed from draft to community approved.
Comment 2 Roger Fong 2014-12-09 12:12:39 PST
Done by chrome and firefox already.
Comment 3 Roger Fong 2014-12-09 14:01:31 PST
rdar://problem/19195535
Comment 4 Roger Fong 2014-12-12 12:30:11 PST
Created attachment 243211 [details]
patch
Comment 5 Dean Jackson 2014-12-12 13:38:54 PST
Comment on attachment 243211 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=243211&action=review

> Source/WebCore/ChangeLog:11
> +        Tested by:
> +        webgl/1.0.3/conformance/extensions/ext-blend-minmax.html
> +        fast/canvas/webgl/constants.html

This is another one that is skipped by default. I think we should copy it in to fast/canvas/webgl or have a 1.0.3-ready directory with the non-skipped tests. What do you think?

> Source/WebCore/WebCore.vcxproj/WebCore.vcxproj:18991
>      <ClInclude Include="..\html\canvas\EXTFragDepth.h” />
> +    <ClInclude Include="..\html\canvas\EXTBlendMinMax.h” />

Are these smart quotes or something?
Comment 6 Roger Fong 2014-12-12 13:42:35 PST
(In reply to comment #5)
> Comment on attachment 243211 [details]
> patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=243211&action=review
> 
> > Source/WebCore/ChangeLog:11
> > +        Tested by:
> > +        webgl/1.0.3/conformance/extensions/ext-blend-minmax.html
> > +        fast/canvas/webgl/constants.html
> 
> This is another one that is skipped by default. I think we should copy it in
> to fast/canvas/webgl or have a 1.0.3-ready directory with the non-skipped
> tests. What do you think?

So I actually unskipped that test on trunk but there are two different modes for the test. One where the extension is disabled and one when it's not.
So it was passing before because the extension wasn't enabled, and now it's still passing but running a different set of tests because it's enabled.

> 
> > Source/WebCore/WebCore.vcxproj/WebCore.vcxproj:18991
> >      <ClInclude Include="..\html\canvas\EXTFragDepth.h” />
> > +    <ClInclude Include="..\html\canvas\EXTBlendMinMax.h” />
> 
> Are these smart quotes or something?

o.0 guess so, odd that the first ones aren't.
Comment 7 Roger Fong 2014-12-12 13:44:07 PST
> 
> So I actually unskipped that test on trunk but there are two different modes
> for the test. One where the extension is disabled and one when it's not.
> So it was passing before because the extension wasn't enabled, and now it's
> still passing but running a different set of tests because it's enabled.
> 

Maybe this means we need another test to test which extensions are enabled?
Comment 8 Roger Fong 2014-12-12 13:58:11 PST
http://trac.webkit.org/changeset/177235